Applying patch for v4l infinite recursion fix

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Applying patch for v4l infinite recursion fix

ashwath
Hello,

I believe my gstreamer pipeline, which uses v4lsrc, is running into the issues tracked in this bug:

https://bugzilla.gnome.org/show_bug.cgi?id=759292

Setting GST_DEBUG=v4l*:3 I've been able to validate similar behavior to what's seen there (though I set my debug level lower since the file grows so large and takes up too much disk space if i dont)

My question is, how do I apply the patch?  Do I simply need to have the latest version of gstreamer1.0-plugins-good installed?  (If so it seems like i've found a different issue, since I already do have the latest version installed I believe).

Thanks in advance!
Ashwath
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Applying patch for v4l infinite recursion fix

Nicolas Dufresne-5
Le jeudi 20 juillet 2017 à 21:56 -0700, ashwath a écrit :

> Hello,
>
> I believe my gstreamer pipeline, which uses v4lsrc, is running into the
> issues tracked in this bug:
>
> https://bugzilla.gnome.org/show_bug.cgi?id=759292
>
> Setting GST_DEBUG=v4l*:3 I've been able to validate similar behavior to
> what's seen there (though I set my debug level lower since the file grows so
> large and takes up too much disk space if i dont)
>
> My question is, how do I apply the patch?  Do I simply need to have the
> latest version of gstreamer1.0-plugins-good installed?  (If so it seems like
> i've found a different issue, since I already do have the latest version
> installed I believe).
Thanks, it reminded me that I wanted to backport this one to 1.12,
should have been in 1.12.2, oh well. Will be in 1.12.3.

Applying a patch is easy, from git:

  git am my.patch

in tarball:
  cat my.patch | patch -p1

regards,
Nicolas
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

signature.asc (201 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Applying patch for v4l infinite recursion fix

ashwath
Hey Nicolas, maybe i'm a bit slow, but I'm not sure what to do with those instructions.

I installed gstreamer1.0-plugins-good with sudo apt-get install; are you saying i'd need to clone the git repo, patch in the new changes, and somehow reinstall from source?  

Thanks in advance for your patience in dealing with me =)

On Fri, Jul 21, 2017 at 8:09 AM Nicolas Dufresne-5 [via GStreamer-devel] <[hidden email]> wrote:
Le jeudi 20 juillet 2017 à 21:56 -0700, ashwath a écrit :

> Hello,
>
> I believe my gstreamer pipeline, which uses v4lsrc, is running into the
> issues tracked in this bug:
>
> https://bugzilla.gnome.org/show_bug.cgi?id=759292
>
> Setting GST_DEBUG=v4l*:3 I've been able to validate similar behavior to
> what's seen there (though I set my debug level lower since the file grows so
> large and takes up too much disk space if i dont)
>
> My question is, how do I apply the patch?  Do I simply need to have the
> latest version of gstreamer1.0-plugins-good installed?  (If so it seems like
> i've found a different issue, since I already do have the latest version
> installed I believe).
Thanks, it reminded me that I wanted to backport this one to 1.12,
should have been in 1.12.2, oh well. Will be in 1.12.3.

Applying a patch is easy, from git:

  git am my.patch

in tarball:
  cat my.patch | patch -p1

regards,
Nicolas
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

signature.asc (201 bytes) Download Attachment



If you reply to this email, your message will be added to the discussion below:
http://gstreamer-devel.966125.n4.nabble.com/Applying-patch-for-v4l-infinite-recursion-fix-tp4683882p4683896.html
To unsubscribe from Applying patch for v4l infinite recursion fix, click here.
NAML
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Applying patch for v4l infinite recursion fix

Nicolas Dufresne-5
Le vendredi 21 juillet 2017 à 10:01 -0700, ashwath a écrit :
> I installed gstreamer1.0-plugins-good with sudo apt-get install; are
> you saying i'd need to clone the git repo, patch in the new changes,
> and somehow reinstall from source?  

Yes, you need to rebuild from sources, from git, from tarball, or by
modifying a Debian package Makefile.

https://wiki.debian.org/BuildingAPackage

regards,
Nicolas
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

signature.asc (201 bytes) Download Attachment
Loading...